package cn.iocoder.yudao.module.system.service.nursing;


import cn.iocoder.yudao.module.system.controller.admin.biz.vo.NurseGroupRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.NurseGroupSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NurseGroupDO;
import cn.iocoder.yudao.module.system.dal.dataobject.user.AdminUserDO;

import java.util.List;

/**
 * 护理分组 Service 接口
 *
 * @author 系统管理员
 */
public interface NurseGroupService {


    Long createNurseGroup(NurseGroupSaveReqVO createReqVO);

    NurseGroupRespVO getNurseGroup(Long id);

    void deleteNurseGroup(Long id);

    void updateNurseGroup(NurseGroupSaveReqVO updateReqVO);

    List<NurseGroupDO> getListByName(String nurseGroupName);

    List<AdminUserDO> getNurseGroupByElderId(Long elderId);
}